import { Query } from '@datorama/akita';
import * as O from 'fp-ts/Option';
import { AppConfiguration, SessionState, SessionStore } from './session.store';
export declare class AppConfigurationQuery extends Query<SessionState> {
  protected store: SessionStore;
  readonly appConfiguration$: import("rxjs").Observable<O.Option<AppConfiguration>>;
  constructor(store: SessionStore);
  get configuration(): AppConfiguration;
}
declare const _default: AppConfigurationQuery;
export default _default;
